package cn.com.countrygarden.bi.main.service.performance;


import cn.com.countrygarden.bi.main.core.Service;
import cn.com.countrygarden.bi.main.model.performance.PerformanceElement;


import java.util.List;
import java.util.Map;

public interface PerformanceElementService extends Service<PerformanceElement> {

    public List<PerformanceElement> getElementId(PerformanceElement element);

    List<PerformanceElement> selectElementByPreElementId(long preElementId);

    List<PerformanceElement> selectBigElement();

    List<PerformanceElement> selectUserCodePower(int sign,String userCode);

    PerformanceElement getElementNameById(long elementId);

    //根据类型获取指标
    List<Map<String,Object>> getElementByType(String type);
}
